- section: Code Editing
  description: "Full stack tools for editing code"
  items:
    - name: Choc V
      image: "/stack/chocv.webp"
      description: 32% low profile keyboard with Kaihl Choc Silvers and random amazon keycaps
    - name: 3-D Printed + Handwired Atreus
      image: "/stack/atreus.webp"
      description: Homemade 40% keyboard with Glorious Panda switches and MT3 Dusk keycaps
    - name: Nulea M505 Trackball Mouse
      image: "/stack/nulea.webp"
      description: |
        Smooth operation and long battery life
    - name: Ghostty + Tmux + Neovim + Zenwritten theme
      image: "/stack/editor.webp"
      description: Best stack for efficiently working on code. Monochromatic theme surprisingly helps with focus instead of staring at a rainbow all day.
- section: Programming Languages
  description: "Languages I actually enjoy building in, not all the ones I know"
  items:
    - name: Zig
      description: Main language I'm exploring right now for personal projects.
    - name: Rust
      description: Previous favorite language before trying zig.
- section: Building Tools
  items:
    - name: Macbook Pro M1 Max 64GB
      image: "/stack/macbook.webp"
      description: "Was gifted this, really missing Linux but getting a high powered Linux laptop in 2026 seems unlikely"
    - name: Onyx Boox Go + Lamy EMR stylus
      image: "/stack/onyx.webp"
      description: "Not as nice as fountain pen + paper but a lot better for organization/reading. I use it for derivations/notes. Be careful with the Onyx though, it phones home a ton. I use mine offline only"
    - name: Ender 3 V2
      image: "/stack/ender.webp"
      description: "Trusty printer that was cheaper than buying a new keyboard. Hoping for an upgrade soon though."
- section: Fuel
  description: "Focus aids, coffee is daily while cigars are every now and then."
  items:
    - name: Kalita Wave + Fellow Move + TIMEMORE Black Mirror + TIMEMORE Chestnut
      image: "/stack/coffee.webp"
      description: "Favorite pour-over coffee setup using the Scott Rao recipe"
    - name: Warped Serie Gran Reserva 1988
      image: "/stack/warped.webp"
      description: "Nice for improving focus during chill late night code sessions"
